[CRIU] [PATCH v4 12/12] jenkins: add script to run all gc aware tests

Eugene Batalov eabatalov89 at gmail.com
Sun Sep 11 10:14:51 PDT 2016


The set of tests that we run here covers criu gc command
behavior well.

Signed-off-by: Eugene Batalov <eabatalov89 at gmail.com>
---
 test/jenkins/criu-gc.sh | 10 ++++++++++
 1 file changed, 10 insertions(+)
 create mode 100755 test/jenkins/criu-gc.sh

diff --git a/test/jenkins/criu-gc.sh b/test/jenkins/criu-gc.sh
new file mode 100755
index 0000000..4df5bfc
--- /dev/null
+++ b/test/jenkins/criu-gc.sh
@@ -0,0 +1,10 @@
+# Check gc for link remaps and locked tcp connections
+set -e
+source `dirname $0`/criu-lib.sh
+prep
+
+./test/zdtm.py run -t zdtm/static/unlink_regular00 --gc || fail
+./test/zdtm.py run -t zdtm/static/mntns_link_remap --gc || fail
+
+./test/zdtm.py run -t zdtm/static/socket-tcp --gc || fail
+./test/zdtm.py run -t zdtm/static/socket-tcp6 --gc || fail
-- 
1.9.1



More information about the CRIU mailing list